Bug 59448 - [Navigation Timing] navigationStart should always be available
: [Navigation Timing] navigationStart should always be available
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Tony Gentilcore
:
Depends on:
Blocks: 30685
  Show dependency treegraph
 
Reported: 2011-04-26 05:07 PDT by Tony Gentilcore
Modified: 2011-05-05 16:06 PDT (History)
9 users (show)

See Also:


Attachments
Patch (4.83 KB, patch)
2011-05-03 10:16 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2011-04-26 05:07:40 PDT
performance.timing.navigationStart should no longer be zeroed after a cross origin redirect. See:
http://dvcs.w3.org/hg/webperf/rev/7f6093709aee
Comment 1 Tony Gentilcore 2011-04-26 05:08:57 PDT
This is basically a partial revert of bug 55068
Comment 2 Tony Gentilcore 2011-05-03 10:16:20 PDT
Created attachment 92087 [details]
Patch
Comment 3 James Simonsen 2011-05-03 10:18:01 PDT
LGTM
Comment 4 Tony Gentilcore 2011-05-03 10:25:48 PDT
Fishing for an r+
Comment 5 Tony Gentilcore 2011-05-04 13:58:55 PDT
More reviewer fishing...
Comment 6 WebKit Commit Bot 2011-05-05 13:30:24 PDT
Comment on attachment 92087 [details]
Patch

Clearing flags on attachment: 92087

Committed r85873: <http://trac.webkit.org/changeset/85873>
Comment 7 WebKit Commit Bot 2011-05-05 13:30:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Review Bot 2011-05-05 16:06:57 PDT
http://trac.webkit.org/changeset/85873 might have broken GTK Linux 32-bit Debug
The following tests are not passing:
svg/W3C-SVG-1.1/animate-elem-46-t.svg